package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TLpgTraceBack;

/**
 * 气瓶追溯Mapper接口
 * 
 * @author zehong
 * @date 2026-03-20
 */
public interface TLpgTraceBackMapper 
{
    /**
     * 查询气瓶追溯
     * 
     * @param traceId 气瓶追溯ID
     * @return 气瓶追溯
     */
    public TLpgTraceBack selectTLpgTraceBackById(Long traceId);

    /**
     * 查询气瓶追溯列表
     * 
     * @param tLpgTraceBack 气瓶追溯
     * @return 气瓶追溯集合
     */
    public List<TLpgTraceBack> selectTLpgTraceBackList(TLpgTraceBack tLpgTraceBack);

    /**
     * 新增气瓶追溯
     * 
     * @param tLpgTraceBack 气瓶追溯
     * @return 结果
     */
    public int insertTLpgTraceBack(TLpgTraceBack tLpgTraceBack);

    /**
     * 修改气瓶追溯
     * 
     * @param tLpgTraceBack 气瓶追溯
     * @return 结果
     */
    public int updateTLpgTraceBack(TLpgTraceBack tLpgTraceBack);

    /**
     * 删除气瓶追溯
     * 
     * @param traceId 气瓶追溯ID
     * @return 结果
     */
    public int deleteTLpgTraceBackById(Long traceId);

    /**
     * 批量删除气瓶追溯
     * 
     * @param traceIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTLpgTraceBackByIds(Long[] traceIds);
}
